Bug 183232 - [MAINTAINER UPDATE] mail/spmfilter: update to 0.6.3
[MAINTAINER UPDATE] mail/spmfilter: update to 0.6.3
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Thomas Abthorpe
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-23 11:10 UTC by ast
Modified: 2014-01-11 16:20 UTC (History)
0 users

See Also:


Attachments
spmfilter_0.6.3.patch (5.91 KB, patch)
2013-10-23 11:10 UTC, ast
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description ast 2013-10-23 11:10:00 UTC
- update port to version 0.6.3
- changed port dependencies
- added pkg-install.in and pkg-deinstall.in files
- changed master site
Comment 1 Antoine Brodin freebsd_committer 2014-01-10 19:11:04 UTC
Responsible Changed
From-To: freebsd-ports-bugs->tabthorpe

Thomas wants this PR
Comment 2 dfilter freebsd_committer 2014-01-11 16:12:50 UTC
Author: tabthorpe
Date: Sat Jan 11 16:12:42 2014
New Revision: 339433
URL: http://svnweb.freebsd.org/changeset/ports/339433

Log:
  - Update to 0.6.3
  - Change port dependencies
  - Update master site
  
  PR:		ports/183232
  Submitted by:	Axel Steiner <ast@treibsand.com> (maintainer)

Added:
  head/mail/spmfilter/files/pkg-deinstall.in   (contents, props changed)
  head/mail/spmfilter/files/pkg-install.in   (contents, props changed)
Modified:
  head/mail/spmfilter/Makefile
  head/mail/spmfilter/distinfo   (contents, props changed)
  head/mail/spmfilter/pkg-plist   (contents, props changed)

Modified: head/mail/spmfilter/Makefile
==============================================================================
--- head/mail/spmfilter/Makefile	Sat Jan 11 15:49:19 2014	(r339432)
+++ head/mail/spmfilter/Makefile	Sat Jan 11 16:12:42 2014	(r339433)
@@ -1,26 +1,28 @@
 # $FreeBSD$
 
 PORTNAME=	spmfilter
-PORTVERSION=	0.4.2
-PORTREVISION=	5
+PORTVERSION=	0.6.3
 CATEGORIES=	mail
-MASTER_SITES=	http://www.${PORTNAME}.org/attachments/download/60/
+MASTER_SITES=	http://www.${PORTNAME}.org/files/
 
 MAINTAINER=	ast@treibsand.com
 COMMENT=	Spmfilter is a high-performance mail filtering framework, written in C
 
 LICENSE=	LGPL3
 
-BUILD_DEPENDS=	gmime-24>=2.4:${PORTSDIR}/mail/gmime24 \
-		libesmtp>=1.0:${PORTSDIR}/mail/libesmtp \
-		glib>=2.14:${PORTSDIR}/devel/glib20
-
-RUN_DEPENDS=	gmime-24>=2.4:${PORTSDIR}/mail/gmime24 \
-		libesmtp>=1.0:${PORTSDIR}/mail/libesmtp \
-		glib>=2.14:${PORTSDIR}/devel/glib20
+BUILD_DEPENDS=	libcmime>=0.1:${PORTSDIR}/mail/libcmime \
+		libesmtp>=1.0:${PORTSDIR}/mail/libesmtp
+
+RUN_DEPENDS=	libcmime>=0.1:${PORTSDIR}/mail/libcmime \
+		libesmtp>=1.0:${PORTSDIR}/mail/libesmtp
+
+SMFUSER?=	nobody
+SMFGROUP?=	mail
+SMFDIR?=	/var/spool/spmfilter
 
 USES=		cmake pkgconfig
-CMAKE_ARGS+=	-DCMAKE_INCLUDE_PATH="${LOCALBASE}/include" \
+CMAKE_ARGS+=	--no-warn-unused-cli \
+		-DCMAKE_INCLUDE_PATH="${LOCALBASE}/include" \
 		-DCMAKE_LIBRARY_PATH="${LOCALBASE}/lib"
 USE_LDCONFIG=	${PREFIX}/lib/${PORTNAME}
 USE_RC_SUBR=	${PORTNAME}
@@ -33,6 +35,15 @@ DB4_DESC=	DB4 backend
 _REQUIRE=	LOGIN
 
 NO_STAGE=	yes
+
+SUB_FILES=	pkg-install pkg-deinstall
+
+SUB_LIST+=	SMFUSER=${SMFUSER} \
+		SMFGROUP=${SMFGROUP} \
+		SMFDIR=${SMFDIR} \
+
+PLIST_SUB=	LIB_VERSION=${PORTVERSION}
+
 .include <bsd.port.options.mk>
 
 .if ${PORT_OPTIONS:MDB4}
@@ -51,7 +62,6 @@ USE_OPENLDAP=	yes
 .if ${PORT_OPTIONS:MOPENLDAP_VER}
 WANT_OPENLDAP_VER=	${WITH_OPENLDAP_VER}
 .endif
-_REQUIRE+=	slapd
 .else
 CMAKE_ARGS+=	-DWITHOUT_LDAP=TRUE
 .endif
@@ -60,31 +70,37 @@ CMAKE_ARGS+=	-DWITHOUT_LDAP=TRUE
 LIB_DEPENDS+=	zdb:${PORTSDIR}/databases/libzdb
 USE_MYSQL=	yes
 _REQUIRE+=	mysql
-.else
-CMAKE_ARGS+=	-DWITHOUT_ZDB=TRUE
 .endif
 
 .if ${PORT_OPTIONS:MPGSQL}
+LIB_DEPENDS+=	zdb:${PORTSDIR}/databases/libzdb
 USE_PGSQL=	yes
 _REQUIRE+=	postgresql
 .endif
 
+.if !${PORT_OPTIONS:MMYSQL} && !${PORT_OPTIONS:MPGSQL}
+CMAKE_ARGS+=	-DWITHOUT_ZDB=TRUE
+.endif
+
 MAN1=		${PORTNAME}.1
 MAN5=		${PORTNAME}.conf.5
 MANCOMPRESSED=	yes
 
 SUB_LIST+=	REQUIRE="${_REQUIRE}"
 
-PLIST_SUB=	LIB_VERSION=${PORTVERSION}
-
 post-patch:
 	@${REINPLACE_CMD} -e 's|share/man|man|' \
 		${WRKSRC}/cmake/Modules/SMFMacros.cmake
 	@${REINPLACE_CMD} -E -e 's|(HAVE_DB4 )db|\1${BDB_LIB_NAME}|' \
 		${WRKSRC}/cmake/Modules/FindDB4.cmake
-	@${REINPLACE_CMD} -E -e 's|\$${LIBDIR}(/pkgconfig)|$${CMAKE_INSTALL_PREFIX}/libdata\1|' \
+	@${REINPLACE_CMD} -E -e 's|\$${CMAKE_INSTALL_LIBDIR}(/pkgconfig)|$${CMAKE_INSTALL_PREFIX}/libdata\1|' \
 		-e 's|(COMMON_LIBS )db|\1${BDB_LIB_NAME}|' \
 		${WRKSRC}/src/CMakeLists.txt
+	@${REINPLACE_CMD} -e 's|clamav;spamassassin||' \
+		${WRKSRC}/spmfilter.conf.sample
+
+pre-install:
+	@${SH} ${PKGINSTALL} ${DISTNAME} PRE-INSTALL
 
 post-install:
 	@${INSTALL_DATA} ${WRKSRC}/${PORTNAME}.conf.sample ${PREFIX}/etc/

Modified: head/mail/spmfilter/distinfo
==============================================================================
--- head/mail/spmfilter/distinfo	Sat Jan 11 15:49:19 2014	(r339432)
+++ head/mail/spmfilter/distinfo	Sat Jan 11 16:12:42 2014	(r339433)
@@ -1,2 +1,2 @@
-SHA256 (spmfilter-0.4.2.tar.gz) = 1f9fdcbbac3f1301ab0bf2803bb699fa2e9a8075d78d158d96e2d066c3124d02
-SIZE (spmfilter-0.4.2.tar.gz) = 54418
+SHA256 (spmfilter-0.6.3.tar.gz) = 59b241546aed1ae230b89631a96b7f5a2b26869d5ee7fb8d398736d407287056
+SIZE (spmfilter-0.6.3.tar.gz) = 889547

Added: head/mail/spmfilter/files/pkg-deinstall.in
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/mail/spmfilter/files/pkg-deinstall.in	Sat Jan 11 16:12:42 2014	(r339433)
@@ -0,0 +1,14 @@
+#!/bin/sh
+#
+# 
+#
+
+USER=%%SMFUSER%%
+GROUP=%%SMFGROUP%%
+DIR=%%SMFDIR%%
+
+if [ "$2" = "POST-DEINSTALL" ]; then
+    if [ -e ${DIR} ]; then
+        echo "You should manually remove the \"${DIR}\" directory."
+    fi
+fi

Added: head/mail/spmfilter/files/pkg-install.in
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/mail/spmfilter/files/pkg-install.in	Sat Jan 11 16:12:42 2014	(r339433)
@@ -0,0 +1,10 @@
+#!/bin/sh
+
+USER=%%SMFUSER%%
+GROUP=%%SMFGROUP%%
+DIR=%%SMFDIR%%
+
+if [ "$2" = "PRE-INSTALL" ]; then
+    /usr/bin/install -o ${USER} -g ${GROUP} -m 755 -d ${DIR}
+    echo "Created \"${DIR}\" directory."
+fi

Modified: head/mail/spmfilter/pkg-plist
==============================================================================
--- head/mail/spmfilter/pkg-plist	Sat Jan 11 15:49:19 2014	(r339432)
+++ head/mail/spmfilter/pkg-plist	Sat Jan 11 16:12:42 2014	(r339433)
@@ -1,19 +1,30 @@
 include/spmfilter/smf/smf_core.h
+include/spmfilter/smf/smf_dict.h
+include/spmfilter/smf/smf_email_address.h
+include/spmfilter/smf/smf_envelope.h
+include/spmfilter/smf/smf_header.h
+include/spmfilter/smf/smf_list.h
 include/spmfilter/smf/smf_lookup.h
 include/spmfilter/smf/smf_message.h
-include/spmfilter/smf/smf_mime.h
+include/spmfilter/smf/smf_modules.h
+include/spmfilter/smf/smf_nexthop.h
+include/spmfilter/smf/smf_part.h
 include/spmfilter/smf/smf_session.h
 include/spmfilter/smf/smf_settings.h
+include/spmfilter/smf/smf_smtp.h
 include/spmfilter/smf/smf_trace.h
 include/spmfilter/spmfilter.h
 include/spmfilter/spmfilter_config.h
-libdata/pkgconfig/spmfilter.pc
 lib/spmfilter/libpipe.so
+lib/spmfilter/libpipe.so.0.6
 lib/spmfilter/libpipe.so.%%LIB_VERSION%%
 lib/spmfilter/libsmf.so
+lib/spmfilter/libsmf.so.0.6
 lib/spmfilter/libsmf.so.%%LIB_VERSION%%
 lib/spmfilter/libsmtpd.so
+lib/spmfilter/libsmtpd.so.0.6
 lib/spmfilter/libsmtpd.so.%%LIB_VERSION%%
+libdata/pkgconfig/spmfilter.pc
 sbin/spmfilter
 @unexec if cmp -s %D/etc/spmfilter.conf.sample %D/etc/spmfilter.conf; then rm -f %D/etc/spmfilter.conf; fi
 etc/spmfilter.conf.sample
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 3 Thomas Abthorpe freebsd_committer 2014-01-11 16:13:20 UTC
State Changed
From-To: open->closed

Committed, with minor changes. Thanks!